<?php

/*************************************************************************
 * Username Change - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\UsernameChange\Listener;

use XF\Mvc\Entity\Entity;

class EntityStructure
{

    public static function userOptionEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        $structure->columns['receive_change_username_email'] = ['type' => Entity::BOOL, 'default' => true];
    }

    public static function userPrivacyEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        $structure->columns['allow_view_history_username_change'] = [
            'type' => Entity::STR, 'default' => 'everyone',
            'allowedValues' => ['everyone', 'members', 'followed', 'none'],
            'verify' => 'verifyPrivacyChoice'
        ];
    }

}